using Atelier;
using Unity;
using Unity.Lifetime;

internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormAtelier>());
        }
    private static IUnityContainer CreateContainer()
    {
        var container = new UnityContainer();
        container.RegisterType<IClientRepository,ClientRepository>(new TransientLifetimeManager());
        container.RegisterType<IFabricRepository,FabricRepository>(new TransientLifetimeManager());
        container.RegisterType<IModelRepository, ModelRepository>(new TransientLifetimeManager());
        container.RegisterType<IOrderRepository,OrderRepository>(new TransientLifetimeManager());
        container.RegisterType<IStorageRepository,StorageRepository>(new TransientLifetimeManager());
        return container;
    }
}
